1. jay_jay_n's Avatar
    Well my friend after telling him not to upgraded to 1.1.1 when he just bought from somewhere an unlocked iphone, well now i just did the downgrade successfully and activated in pakay but the problem is when i put my sim card from my non unlocked iphone it still sez

    "This Iphone must be used with approved sim"

    and when i boot the sim with it, it gives the wrong imei.

    i'm unsure what to do i just want it to be back to 1.02 so i can unlock it., i've tried searching but i couldn't find an answer.
    2007-10-11 09:48 PM
  2. mjdaul's Avatar
    if the phone has been updated, it doesnt matter if you downgrade to 1.02, it wont unlock again, there is now a way to unlock 1.1.1 but it will cost, for more info on this go to http://www.iphonesimfree.com
    2007-10-12 03:47 AM
  3. Klatt's Avatar
    I just posted about a very similar problem... from what I found out, you are going to either pay for SIMfree, or wait a few days... and hope.
    2007-10-12 03:55 AM
  4. 71_Dime's Avatar
    i had the same problem. i cant get passed the incorrect sim error and i have a legit att sim and contract.
    2007-10-13 02:42 AM
  5. DoerrFan's Avatar
    i had the same problem. i cant get passed the incorrect sim error and i have a legit att sim and contract.
    http://modmyi.com/wiki/index.php/Dow...1_to_1.0.2_OSX

    Follow that, run anySIM, it will say you can't use it with iTunes when you connect it, just restore it and you'll be set, do not upgrade again, still no way to completely erase the unlock, against what the guide says. Thank Button means a lot Good luck.

    Well my friend after telling him not to upgraded to 1.1.1 when he just bought from somewhere an unlocked iphone, well now i just did the downgrade successfully and activated in pakay but the problem is when i put my sim card from my non unlocked iphone it still sez

    "This Iphone must be used with approved sim"

    and when i boot the sim with it, it gives the wrong imei.

    i'm unsure what to do i just want it to be back to 1.02 so i can unlock it., i've tried searching but i couldn't find an answer.
    If you want to unlock it still with 1.1.1 try this BUT ONLY IF YOU KNOW EXACTLY WHAT YOU ARE DOING, ONE SCREW UP AND YOU WILL PERMENENTLY DAMAGE YOUR BASEBAND. But if you know what your doing, go for it http://www.modmyi.com/forums/showthread.php?t=9628 Thanks button means a lot Good luck.
    Last edited by DoerrFan; 2007-10-13 at 03:21 AM. Reason: Automerged Doublepost
    2007-10-13 03:21 AM
LINK TO POST COPIED TO CLIPBOARD